6.0.0-git
2021-01-24

[#10069] problem Report return_url
Summary problem Report return_url
Queue Horde Base
Queue Version 4.0.2
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester christoph.auber (at) uniklinik-freiburg (dot) de
Created 2011-05-11 (3546 days ago)
Due
Updated 2011-05-13 (3544 days ago)
Assigned
Resolved 2011-05-13 (3544 days ago)
Milestone
Patch No

History
2011-05-13 04:33:49 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2011-05-13 04:18:27 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10069: Fix return URL in problem reporting page

  3 files changed, 3 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/ddf16f1f7cfd3b0e58e45b46016ad2c744cfe8b8
2011-05-11 11:23:00 christoph (dot) auber (at) uniklinik-freiburg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ problem Report return_url
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
I installed Horde 4.0.2 on a SLES11SP1 server. When calling Problem 
report, the return_url in problem.php has the format
http://www.myhorde.de/horde/services/problem.php?return_url=http%253A%252F%252Fwww.myhorde.de%252Fhorde%252Fservices%252Fportal%252F
leading to a return page not found error after posting the problem 
report. Removing the 25s from this URL manually helps. With Horde 
3.1.9 on SLES10SP2 the link has no problem:
https://www.myoldhorde.de/horde/services/problem.php?return_url=https%3A%2F%2Fwww.myoldhorde.de%2Fhorde%2Flogin.php
Where do these 25s come from ? Is this a bug or a codepage problem ?

Saved Queries